> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Authorizations

> The merchant uses this endpoint to fetch refund transaction history. The data output can be filtered using a date range and/or status..



## OpenAPI

````yaml /openapi.json get /card/auth_capture/authorize?status=AUTHORIZED&page={page}&size={size}&from_date={from_date}&to_date={to_date}
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /card/auth_capture/authorize?status=AUTHORIZED&page={page}&size={size}&from_date={from_date}&to_date={to_date}:
    get:
      tags:
        - Auth-Capture-Void
      summary: Get All Authorizations
      description: >-
        The merchant uses this endpoint to fetch refund transaction history. The
        data output can be filtered using a date range and/or status..
      parameters:
        - name: status
          in: path
          required: false
          schema:
            type: string
          description: >-
            Authorization status to filter results (e.g. AUTHORIZED, PENDING,
            FAILED).
        - name: from_date
          in: path
          required: false
          schema:
            type: string
          description: Start date for filtering records, in yyyy-MM-dd HH:mm:ss format.
        - name: to_date
          in: path
          required: false
          schema:
            type: string
          description: End date for filtering records, in yyyy-MM-dd HH:mm:ss format.
        - name: page
          in: path
          required: false
          schema:
            type: number
          description: Page number for paginated results.
        - name: size
          in: path
          required: false
          schema:
            type: number
          description: The number of records to return per page.
      responses:
        '200':
          description: Get All Authorizations Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllAuthorizationsResponse'
              examples:
                Success Response:
                  summary: Success Response
                  value:
                    authorizations:
                      - authorization_reference: AUTH-1234567890
                        status: AUTHORIZED
                        authorization_amount: 100
                        captured_amount: 0
                        remaining_amount: 100
                        currency: NGN
                        authorization_code: '123456'
                        expires_at: '2025-01-19T10:30:00'
                        created_at: '2025-01-12T10:30:00'
                        updated_at: '2025-01-12T10:30:00'
                        captured_at: null
                        voided_at: null
                        card_last_4: '2346'
                        card_brand: MASTERCARD
                        order_reference: ORD-001
                        merchant_reference: MR-001
                        customer_email: customer@example.com
                        customer_name: John Doe
                        error_reason: null
                        void_reason: null
                    page: 0
                    size: 20
                    total_elements: 1
                    total_pages: 1
                    has_next: false
                    has_previous: false
                Error Response Invalid Date:
                  summary: Error Response Invalid Date
                  value:
                    status: ERROR
                    message: >-
                      Invalid date format. Use ISO 8601 format (e.g.,
                      2024-01-01T00:00:00)
                Error Response Invalid Status:
                  summary: Error Response Invalid Status
                  value:
                    status: ERROR
                    message: Invalid status value
        '400':
          description: Invalid transaction reference format
      security:
        - ApiKeyAuth: []
components:
  schemas:
    getAllAuthorizationsResponse:
      title: Get All Authorizations
      type: object
      properties:
        status:
          type: string
          nullable: true
          description: Error status (present in error responses).
          example: ERROR
        message:
          type: string
          nullable: true
          description: Error message details (present in error responses).
          example: Invalid date format. Use ISO 8601 format (e.g., 2024-01-01T00:00:00)
        authorizations:
          type: array
          description: List of authorization records.
          items:
            type: object
            properties:
              authorization_reference:
                type: string
                example: AUTH-1234567890
              status:
                type: string
                example: AUTHORIZED
              authorization_amount:
                type: number
                example: 100
              captured_amount:
                type: number
                example: 0
              remaining_amount:
                type: number
                example: 100
              currency:
                type: string
                example: NGN
              authorization_code:
                type: string
                example: '123456'
              expires_at:
                type: string
                format: date-time
                example: '2025-01-19T10:30:00'
              created_at:
                type: string
                format: date-time
                example: '2025-01-12T10:30:00'
              updated_at:
                type: string
                format: date-time
                example: '2025-01-12T10:30:00'
              captured_at:
                type: string
                format: date-time
                nullable: true
                example: null
              voided_at:
                type: string
                format: date-time
                nullable: true
                example: null
              card_last_4:
                type: string
                example: '2346'
              card_brand:
                type: string
                example: MASTERCARD
              order_reference:
                type: string
                nullable: true
                example: ORD-001
              merchant_reference:
                type: string
                nullable: true
                example: MR-001
              customer_email:
                type: string
                format: email
                example: customer@example.com
              customer_name:
                type: string
                example: John Doe
              error_reason:
                type: string
                nullable: true
                example: null
              void_reason:
                type: string
                nullable: true
                example: null
        page:
          type: integer
          description: Current page index (0-based).
          example: 0
        size:
          type: integer
          description: Number of items per page.
          example: 20
        total_elements:
          type: integer
          description: Total number of authorization records found.
          example: 1
        total_pages:
          type: integer
          description: Total number of pages available.
          example: 1
        has_next:
          type: boolean
          description: Indicates if there is a next page.
          example: false
        has_previous:
          type: boolean
          description: Indicates if there is a previous page.
          example: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````